function drawConsole()
	local sizeX,sizeY=250,200
	local x,y=0,10
	love.graphics.setColor(0,0,0,150)
	love.graphics.rectangle("fill",0,0,sizeX,sizeY)
	love.graphics.setColor(255,255,255)
	if terminalText then
		for _,v in ipairs(terminalText) do
			love.graphics.print(v,x,y)
			y=y+10
		end
	end
end

function printC(text)
	if not terminalText then
		terminalText={}
	end
	table.insert(terminalText,text)
	if #terminalText>20 then
		table.remove(terminalText,1)
	end
end

function distance(x1,y1,x2,y2)
	return math.sqrt((x1-x2)^2+(y1-y2)^2)
end

function between(a,b,c) --is a between b and c?
	if a>b and a<c then
		return true
	else
		return false
	end
end