policeCars={}

function policeCars.init()
	policeCar=love.graphics.newImage("police-car.png")
	graphicsAsphalt=love.graphics.newImage("asfalto.png")

	lanes={}
	lanes[1]={}
	lanes[2]={}
	lanes[3]={}

	asfalto={}

	for x=8,0,-1 do
		table.insert(asfalto,{y=x*100})
		printC("inserting asphalt in "..tostring(asfalto[#asfalto].y))
	end

	lastSpawn=0

	player={}
	player.graphics=love.graphics.newImage("fugitive.png")
	player.lane=2
	player.y=700



end

function policeCars.draw()
	--love.graphics.print("Cars: "..tostring(#lanes[1]+#lanes[2]+#lanes[3]))
	for _,v in ipairs(asfalto) do
		love.graphics.draw(graphicsAsphalt,190,v.y,0)
	end

	for _,v in ipairs(lanes) do
		for _,value in ipairs(v) do
			love.graphics.draw(policeCar,value.x,value.y,0)
		end
	end

	love.graphics.draw(player.graphics,110*player.lane+80,player.y)
end

function policeCars.update(dt)
	for _,v in ipairs(lanes) do
		for index,value in ipairs(v) do
			value.y=value.y+200*dt

			if 110*player.lane+80==value.x and player.y<=value.y+policeCar:getHeight() then
				printC("BOOM")
			end

			if value.y>800 then
				table.remove(v,index)
			end
		end
	end
	for i,v in pairs(asfalto) do
		v.y=v.y+100*dt
		if v.y>sizeY then
			table.remove(asfalto,i)
			table.insert(asfalto,{y=-100})
		end
	end

	lastSpawn=lastSpawn+dt
	if lastSpawn>=2 then
		spawnCar()
		lastSpawn=0
	end

end

function policeCars.keypressed(key)
	if key=="s" then
		spawnCar()
	end
	if key=="right" and player.lane<3 then
		player.lane=player.lane+1
	elseif key=="left" and player.lane>1 then
		player.lane=player.lane-1
	end

end

function policeCars.reward(n)

end

function policeCars.punish(n)

end

function spawnCar()
	local temp=math.random(1,3)
	printC("spawning car at lane "..temp)
	table.insert(lanes[temp],{x=110*temp+80,y=-200})
end

return policeCars